void sponser_read_config(void);
void sponser_config_line(char *xin);
void sponser_free(void);
int sponser_add(double freq, char *file, char *groups);
char *sponser_find(char *group);
int sponser_append(String *msg);
char *file_sponser(char *fname);
int sponser_spliturl(char *url, char *site, char *fullpath, char *path);
int sponser_fetch_file(char *url, char *lcl);
int sponser_fetch(char *url);
int sponser_fetch_afile(char *url, char *fname);
int lib_file_copy(char *src, char *dst);
void sponser_init(void);
void sponser_enable_free(void);
